## asar 3.2.8

=== debian/changelog ===
asar (3.2.8-1+11.7) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Sat, 17 May 2025 10:36:16 +0000

asar (3.2.4-1) unstable; urgency=low

  * Initial release.
    OBS cannot sometimes read debian.changelog even if it is there.
    The reason to debian.changelog reported missing can be that 
    the following 'asar.dsc' lines have wrong filenames:
    
    DEBTRANSFORM-FILES: asar-1.2.3.tar.bz2  debian.tar.xz
    DEBTRANSFORM-TAR: asar-1.2.3.tar.bz2
    
    For a correct format of this file, see deb-changelog(5).
    Note two spaces before the day name below.

 -- kimi <noreply@nodomain.org>  Fri, 7 Apr 2023 07:00:00 -0300
