=== debian/control ===
Source: asar
Maintainer: kimi <noreply@nodomain.com>
Build-Depends: debhelper (>= 9),
#              use .dsc file to control build dependencies
#              since there may be different dependencies in
#              different Debian/Ubuntu versions         
Standards-Version: 4.5.0
Section: devel

Package: asar
Architecture: any
Depends: ${shlibs:Depends}, 
         ${misc:Depends}, 
#Recommends: anypackagehere
Section: devel
Priority: optional
Homepage: https://github.com/electron/asar
Description: asar
  Asar is a simple extensive archive format, it works like tar
  that concatenates all files together without compression, 
  while having random access support.
